---
title: Update reachability
slug: data-platform/api/update-reachability
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "UJzJCzboN2sAE6n1F1ezA",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.us1.odp.optimizely.com/v3/reachability",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/reachability",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/reachability",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/reachability",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Update reachability",
    "description": "Update reachability for a messaging identifier.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "example": "[{\"identifier_value\":\"email@optimizely.com\",\"identifier_field_name\":\"email\",\"reachable\":false,\"reachable_update_type\":\"hard_bounce\"},{\"identifier_value\":\"email2@optimizely.com\",\"identifier_field_name\":\"email\",\"reachable\":true}]",
          "examples": [
            {
              "label": "Example Payload",
              "value": "[{\"identifier_value\":\"email@optimizely.com\",\"identifier_field_name\":\"email\",\"reachable\":false,\"reachable_update_type\":\"hard_bounce\"},{\"identifier_value\":\"email2@optimizely.com\",\"identifier_field_name\":\"email\",\"reachable\":true}]"
            }
          ],
          "description": "",
          "customType": "Reachability",
          "schema": [
            {
              "name": "identifier_value",
              "kind": "required",
              "type": "string",
              "description": "<p>A valid messaging identifier, like an email address.</p>"
            },
            {
              "name": "identifier_field_name",
              "kind": "required",
              "type": "string",
              "description": "<p>The name of the field that this identifier falls under (for example, email).</p>"
            },
            {
              "name": "reachable",
              "kind": "required",
              "type": "boolean",
              "description": "<p>True/false indicator of the reachability status for this identifier value.</p>",
              "default": true
            },
            {
              "name": "reachable_update_type",
              "kind": "required",
              "type": "string",
              "description": "<p>The type of change to the reachability status. If <code>reachable</code> is set to <code>true</code>, you must leave this field null. Reason must be one of the following options: <code>hard_bounce</code>, <code>soft_bounce</code>, <code>spam_report</code>, <code>uninstall</code>, <code>invalid_identifier</code>, <code>returned_to_sender</code>, <code>unknown</code>, <code>expired</code>, <code>other</code>.</p>"
            },
            {
              "name": "reachable_update_reason",
              "kind": "optional",
              "type": "string",
              "description": "A specific error code or note for the change type."
            },
            {
              "name": "reachable_update_ts",
              "kind": "optional",
              "type": "string",
              "description": "<p>The time of the event (defaults to current time).</p>"
            },
            {
              "name": "zaius_id",
              "kind": "optional",
              "type": "integer",
              "description": ""
            }
          ],
          "modelRef": "#/components/schemas/Reachability",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Accepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\n  \"title\": \"Accepted\",\n  \"status\": 202,\n  \"timestamp\": \"2019-07-30T23:55:00.519Z\"\n}\n",
            "description": "",
            "customType": "GenericUpdateResponse",
            "schema": [
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "timestamp",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/GenericUpdateResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\n  \"title\": \"Bad Request\",\n  \"status\": 400,\n  \"timestamp\": \"2019-07-30T23:53:48.615Z\",\n  \"detail\": {\n    \"message\": \"Unable to parse request body.\"\n  }\n}\n",
            "description": "",
            "customType": "ReachabilityError",
            "schema": [
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Bad Request"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 400,
                "default": 0
              },
              {
                "name": "timestamp",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "2018-08-07T13:44:17.659Z"
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ReachabilityError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "zfEbCB8a4mZE5XGA4-sj2",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.us1.odp.optimizely.com/v3/reachability \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"identifier_value\": \"\",\n     \"identifier_field_name\": \"\",\n     \"reachable\": true,\n     \"reachable_update_type\": \"\"\n     }'"
        },
        {
          "id": "xH3MzHabImYxnUK_d0j6D",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"identifier_value\": \"\",\n   \"identifier_field_name\": \"\",\n   \"reachable\": true,\n   \"reachable_update_type\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/reachability\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "aBJKBJ8zmisH7NBjLNxVM",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/reachability\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"identifier_value\": \"\",\n   \"identifier_field_name\": \"\",\n   \"reachable\": true,\n   \"reachable_update_type\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QHPr9gJqQrLwOSm3dLP74",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/reachability\"\n\npayload = json.dumps({\n   \"identifier_value\": \"\",\n   \"identifier_field_name\": \"\",\n   \"reachable\": True,\n   \"reachable_update_type\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "zfEbCB8a4mZE5XGA4-sj2"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Accepted\n{\n  \"title\": \"\",\n  \"status\": \"\",\n  \"timestamp\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n{\n  \"title\": \"Bad Request\",\n  \"status\": 400,\n  \"timestamp\": \"2018-08-07T13:44:17.659Z\",\n  \"detail\": {\n    \"message\": \"\"\n  }\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}